# org.pdfclown.documents.contents.entities.JpegImage Class Reference

JPEG image object [ISO 10918-1;JFIF:1.02]. More...

Inheritance diagram for org.pdfclown.documents.contents.entities.JpegImage:

List of all members.

## Public Member Functions
| JpegImage (System.IO.Stream stream)
override ContentObject | ToInlineObject (PrimitiveComposer composer)
| Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].
override xObjects::XObject | ToXObject (Document context)
| Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].
## Static Public Member Functions
static Image | Get (System.IO.Stream stream)
static Image | Get (string path)
## Properties
int | BitsPerComponent`[get, set]`
| Gets/Sets the number of bits per color component [PDF:1.6:4.8.2].
int | Height`[get, set]`
| Gets/Sets the height of the image in samples [PDF:1.6:4.8.2].
System.IO.Stream | Stream`[get]`
| Gets the underlying stream.
int | Width`[get, set]`
| Gets/Sets the width of the image in samples [PDF:1.6:4.8.2].

##

JPEG image object [ISO 10918-1;JFIF:1.02].

## Constructor & Destructor Documentation

org.pdfclown.documents.contents.entities.JpegImage.JpegImage | ( | System.IO.Stream | stream | ) |

## Member Function Documentation

static Image org.pdfclown.documents.contents.entities.Image.Get | ( | System.IO.Stream | stream | ) | `[static, inherited]`

static Image org.pdfclown.documents.contents.entities.Image.Get | ( | string | path | ) | `[static, inherited]`

override ContentObject org.pdfclown.documents.contents.entities.JpegImage.ToInlineObject | ( | PrimitiveComposer | composer | ) | `[virtual]`

Converts this entity to its equivalent inline (dependent) object representation [PDF:1.6:4.8.6].

This method creates and shows an inline object within the target content context, returning it.

Due to its direct-content nature (opposite to the indirect-content nature of external objects), the resulting object should be shown only one time in order not to wastefully duplicate its data.

Parameters:

  | composer | Target content composer.

Returns:
  The inline object representing the entity.

Implements org.pdfclown.documents.contents.entities.Entity.

References org.pdfclown.documents.contents.composition.PrimitiveComposer.Add().

override xObjects::XObject org.pdfclown.documents.contents.entities.JpegImage.ToXObject | ( | Document | context | ) | `[virtual]`

Converts this entity to its equivalent external (independent) object representation [PDF:1.6:4.7].

This method creates an external object within the target document, returning it. To show it in a content context (eg: a page), then it must be applied in an appropriate manner (see PrimitiveComposer object).

Parameters:

  | context | Target document.

Returns:
  The external object representing the entity.

Implements org.pdfclown.documents.contents.entities.Entity.

## Property Documentation

int org.pdfclown.documents.contents.entities.Image.BitsPerComponent`[get, set, inherited]`

Gets/Sets the number of bits per color component [PDF:1.6:4.8.2].

int org.pdfclown.documents.contents.entities.Image.Height`[get, set, inherited]`

Gets/Sets the height of the image in samples [PDF:1.6:4.8.2].

System.IO.Stream org.pdfclown.documents.contents.entities.Image.Stream`[get, protected, inherited]`

Gets the underlying stream.

int org.pdfclown.documents.contents.entities.Image.Width`[get, set, inherited]`

Gets/Sets the width of the image in samples [PDF:1.6:4.8.2].

Copyright 2006-2013 Stefano Chizzolini. For more information, please visit PDF Clown home page.